Bug 190088 - [patch] devel/py-jsonschema: Fix for upstream bug #94259: Useless use of concatenation (.) or string in void context
Summary: [patch] devel/py-jsonschema: Fix for upstream bug #94259: Useless use of conc...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tom Judge
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-21 21:10 UTC by Andy Walker
Modified: 2014-07-11 18:27 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.33 KB, patch)
2014-05-21 21:10 UTC, Andy Walker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Walker 2014-05-21 21:10:02 UTC
Module errors at due to misplaced parenthesis in Helper.pm

Upstream bug: https://rt.cpan.org/Public/Bug/Display.html?ShowHeaders=1;id=94259

Fix: Apply attached patch to resolve the issue and increment PORTREVISION.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-05-21 22:06:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 William Grzybowski freebsd_committer 2014-05-22 15:16:57 UTC
Responsible Changed
From-To: wg->tj

Forward to correct maintainer
Comment 3 commit-hook freebsd_committer 2014-07-11 18:27:18 UTC
A commit references this bug:

Author: zi
Date: Fri Jul 11 18:27:01 UTC 2014
New revision: 361577
URL: http://svnweb.freebsd.org/changeset/ports/361577

Log:
  - Merge in upstream fix: https://rt.cpan.org/Public/Bug/Display.html?ShowHeaders=1;id=94259

  PR:		190088
  Submitted by:	awalker@sourcefire.com
  Approved by:	maintainer timeout (1 month+)

Changes:
  head/devel/p5-JSON-Schema/Makefile
  head/devel/p5-JSON-Schema/files/
  head/devel/p5-JSON-Schema/files/patch-lib__JSON__Schema__Helper.pm